WESNOTH(6)

PAVADINIMAS
wesnoth ? Mūšis dėl Wesnoth, ėjimais pagrįstas fantastinis strateginis žaidimas

REZIUMĖ
wesnoth [PARAMETRAI] [KELIAS_IKI_DUOMENŲ]

APRAŠYMAS
Mūšis dėl Wesnoth yra ėjimais pagrįstas fantastinis strateginis žaidimas. Nugalėkite visus priešų vadus naudodami gerai parinktą karių rinkinį, rūpindamiesi savo aukso ir kaimų resursais. Visi daliniai turi savo stiprias ir silpnas puses; kad nugalėtumėte, pasinaudokite geriausiais savo pajėgų privalumais, neleisdami to paties padaryti priešams. Daliniams įgaunant patirties, jie įgyja naujų galimybių ir tampa galingesni. Žaiskite savo gimtąja kalba ir išbandykite savo meistriškumą prieš protingą kompiuterinį priešininką arba prisijunkite prie didelės Wesnoth tinklo žaidėjų bendruomenės. Kurkite savo paties dalinius, scenarijus ar kampanijas ir dalinkitės jais su kitais.

PARAMETRAI

--bpp skaičius
    nustato bitų vienam pikseliui vertę. Pavyzdžiui: --bpp 32

--compress įvedamas failas išvedamas failas
    compresses a savefile (infile) that is in text WML format into binary WML format (outfile).

-d, --debug
    shows extra debugging information and enables additional command mode options in-game (see the website at http://www.wesnoth.org/wiki/CommandMode for more information about command mode).

--decompress įvedamas failas išvedamas failas
    decompresses a savefile (infile) that is in binary WML format into text WML format (outfile).

-f, --fullscreen
    paleidžia žaidimą viso ekrano režimu.

--fps
    ekrano kampe parodo tuo metu veikiančio žaidimo kadrų skaičių per sekundę.

--gunzip failas.gz
    išspaudžia failą, kuris turi būti gzip formatu ir išsaugo jį be .gz plėtinio. infile.gz bus pašalintas.

--gzip failas
    suspaudžia failą gzip formatu, išsaugo kaip infile.gz ir pašalina infile.

-h, --help
    išveda komandinės eilutės parametrų santrauką į standartinį išvedimą ir išeina.

--load savegame
    loads the file savegame from the standard save game directory.

--log-lygis=domenas1,domenas2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used.

--logdomains
    Dumps a list of all log domains and exits.

--max-fps
    kadrų per sekundę skaičius, kurį gali parodyti žaidimas, vertė turi būti tarp 1 ir 1000, numatyta 50.

--multiplayer
    paleidžia daugelio žaidėjų žaidimą. yra papildomų parametrų, kurie gali būti naudojami kartu su --multiplayer, kaip paaiškinta žemiau.

--nocache
    disables caching of game data.

--nosound
    paleidžia žaidimą be garsų ir muzikos.

--path
    atsausdina žaidimo duomenų aplanko pavadinimą ir išeina.

-r XxY, --resolution XxY
    nustato ekrano raišką. Pavyzdžiui: -r 800x600

-t, --test
    paleidžia žaidimą su mažu bandomuoju scenarijumi.

-v, --version
    parodo versijos numerį ir išsijungia.

-w, --windowed
    paleidžia žaidimą lango režimu.

--no-delay
    paleidžia žaidimą be jokių užlaikymų grafikos testavimui. --nogui automatiškai tai įgalina.

--nogui
    paleidžia žaidimą be grafinės sąsajos (GUI). Privalo pasirodyti prieš --multiplayer tam, kad turėtų norimą poveikį.

--exit-at-end
    išeina pasibaigus scenarijui be pergalės/pralaimėjimo dialogo rodymo, kuris reikalauja naudotojui nuspausti Gerai. Tai taip pat naudojama automatiniam testavimui.

-- multiplayer parinktys
The side-specific multiplayer options are marked with number. number has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the chosen scenario.

--algorithmnumeris=vertė
    parenka nestandartinį algoritmą, kurį naudos DI valdiklis šiai pusei. Galimos vertės: idle_ai ir sample_ai.

--controllernumeris=vertė
    parenka valdiklį šiai pusei. Galimos vertės: human ir ai.

--era=vertė
    naudokite šią parinktį, kad žaistumėte pasirinktoje eroje vietoj Numatytos eros. Era yra parenkama pagal id. Eros aprašytos data/multiplayer/eras.cfg faile.

--parmnumeris=pavadinimas:vertė
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be useful for people designing their own AI. (not yet documented completely)

--scenario=vertė
    parenka kelių žaidėjų scenarijų pagal id. Numatytas scenarijaus id yra multiplayer_The_Freelands.

--sidenumeris=vertė
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

--turns=vertė
    nustato ėjimų skaičių pasitinktam scenerijui. Numatyta 50.

Pavyzdys, testuoti jūsų nuosavą DI prieš numatytą DI nepaleidžiant GUI:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTORIUS
Parašė David White <davidnwhite@verizon.net>.
Redaguota Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ir Soliton <soliton.de@gmail.com>.
Šį dokumentacijos puslapį iš pradžių parašė Cyril Bouthors <cyril@bouthors.org>.
Aplankykite oficialų puslapį: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Tai yra laisva programa; ši programa licencijuota Free Software Foundation (Laisvos programinės įrangos fondo) paskelbta GPL 2 versija. Nėra JOKIOS garantijos; netgi PERKAMUMO ar TINKAMUMO KONKRETIEMS TIKSLAMS.

TAIP PAT ŽIŪRĖKITE
wesnoth_editor(6), wesnothd(6)